HttpMonitor¶
- class oci.healthchecks.models.HttpMonitor(**kwargs)¶
Bases:
objectThis model contains all of the mutable and immutable properties for an HTTP monitor.
Attributes:
A constant which can be used with the method property of a HttpMonitor.
A constant which can be used with the method property of a HttpMonitor.
A constant which can be used with the protocol property of a HttpMonitor.
A constant which can be used with the protocol property of a HttpMonitor.
Gets the compartment_id of this HttpMonitor.
Gets the defined_tags of this HttpMonitor.
Gets the display_name of this HttpMonitor.
Gets the freeform_tags of this HttpMonitor.
Gets the headers of this HttpMonitor.
Gets the home_region of this HttpMonitor.
Gets the id of this HttpMonitor.
Gets the interval_in_seconds of this HttpMonitor.
Gets the is_enabled of this HttpMonitor.
Gets the method of this HttpMonitor.
Gets the path of this HttpMonitor.
Gets the port of this HttpMonitor.
Gets the protocol of this HttpMonitor.
Gets the results_url of this HttpMonitor.
Gets the targets of this HttpMonitor.
Gets the time_created of this HttpMonitor.
Gets the timeout_in_seconds of this HttpMonitor.
Gets the vantage_point_names of this HttpMonitor.
Methods:
__init__(**kwargs)Initializes a new HttpMonitor object with values from keyword arguments.
- METHOD_GET = 'GET'¶
A constant which can be used with the method property of a HttpMonitor. This constant has a value of “GET”
- METHOD_HEAD = 'HEAD'¶
A constant which can be used with the method property of a HttpMonitor. This constant has a value of “HEAD”
- PROTOCOL_HTTP = 'HTTP'¶
A constant which can be used with the protocol property of a HttpMonitor. This constant has a value of “HTTP”
- PROTOCOL_HTTPS = 'HTTPS'¶
A constant which can be used with the protocol property of a HttpMonitor. This constant has a value of “HTTPS”
- __init__(**kwargs)¶
Initializes a new HttpMonitor object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
id (str) – The value to assign to the id property of this HttpMonitor.
results_url (str) – The value to assign to the results_url property of this HttpMonitor.
home_region (str) – The value to assign to the home_region property of this HttpMonitor.
time_created (datetime) – The value to assign to the time_created property of this HttpMonitor.
compartment_id (str) – The value to assign to the compartment_id property of this HttpMonitor.
targets (list[str]) – The value to assign to the targets property of this HttpMonitor.
vantage_point_names (list[str]) – The value to assign to the vantage_point_names property of this HttpMonitor.
port (int) – The value to assign to the port property of this HttpMonitor.
timeout_in_seconds (int) – The value to assign to the timeout_in_seconds property of this HttpMonitor.
protocol (str) – The value to assign to the protocol property of this HttpMonitor. Allowed values for this property are: “HTTP”, “HTTPS”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
method (str) – The value to assign to the method property of this HttpMonitor. Allowed values for this property are: “GET”, “HEAD”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
path (str) – The value to assign to the path property of this HttpMonitor.
headers (dict(str, str)) – The value to assign to the headers property of this HttpMonitor.
display_name (str) – The value to assign to the display_name property of this HttpMonitor.
interval_in_seconds (int) – The value to assign to the interval_in_seconds property of this HttpMonitor.
is_enabled (bool) – The value to assign to the is_enabled property of this HttpMonitor.
freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this HttpMonitor.
defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this HttpMonitor.
- property compartment_id¶
Gets the compartment_id of this HttpMonitor. The OCID of the compartment.
- Returns
The compartment_id of this HttpMonitor.
- Return type
str
- property defined_tags¶
Gets the defined_tags of this HttpMonitor. Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {“Operations”: {“CostCenter”: “42”}}
- Returns
The defined_tags of this HttpMonitor.
- Return type
dict(str, dict(str, object))
- property display_name¶
Gets the display_name of this HttpMonitor. A user-friendly and mutable name suitable for display in a user interface.
- Returns
The display_name of this HttpMonitor.
- Return type
str
- property freeform_tags¶
Gets the freeform_tags of this HttpMonitor. Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {“Department”: “Finance”}
- Returns
The freeform_tags of this HttpMonitor.
- Return type
dict(str, str)
- property headers¶
Gets the headers of this HttpMonitor. A dictionary of HTTP request headers.
Note: Monitors and probes do not support the use of the Authorization HTTP header.
- Returns
The headers of this HttpMonitor.
- Return type
dict(str, str)
- property home_region¶
Gets the home_region of this HttpMonitor. The region where updates must be made and where results must be fetched from.
- Returns
The home_region of this HttpMonitor.
- Return type
str
- property id¶
Gets the id of this HttpMonitor. The OCID of the resource.
- Returns
The id of this HttpMonitor.
- Return type
str
- property interval_in_seconds¶
Gets the interval_in_seconds of this HttpMonitor. The monitor interval in seconds. Valid values: 10, 30, and 60.
- Returns
The interval_in_seconds of this HttpMonitor.
- Return type
int
- property is_enabled¶
Gets the is_enabled of this HttpMonitor. Enables or disables the monitor. Set to ‘true’ to launch monitoring.
- Returns
The is_enabled of this HttpMonitor.
- Return type
bool
- property method¶
Gets the method of this HttpMonitor. Allowed values for this property are: “GET”, “HEAD”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The method of this HttpMonitor.
- Return type
str
- property path¶
Gets the path of this HttpMonitor. The optional URL path to probe, including query parameters.
- Returns
The path of this HttpMonitor.
- Return type
str
- property port¶
Gets the port of this HttpMonitor. The port on which to probe endpoints. If unspecified, probes will use the default port of their protocol.
- Returns
The port of this HttpMonitor.
- Return type
int
- property protocol¶
Gets the protocol of this HttpMonitor. Allowed values for this property are: “HTTP”, “HTTPS”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The protocol of this HttpMonitor.
- Return type
str
- property results_url¶
Gets the results_url of this HttpMonitor. A URL for fetching the probe results.
- Returns
The results_url of this HttpMonitor.
- Return type
str
- property targets¶
Gets the targets of this HttpMonitor. A list of targets (hostnames or IP addresses) of the probe.
- Returns
The targets of this HttpMonitor.
- Return type
list[str]
- property time_created¶
Gets the time_created of this HttpMonitor. The RFC 3339-formatted creation date and time of the probe.
- Returns
The time_created of this HttpMonitor.
- Return type
datetime
- property timeout_in_seconds¶
Gets the timeout_in_seconds of this HttpMonitor. The probe timeout in seconds. Valid values: 10, 20, 30, and 60. The probe timeout must be less than or equal to intervalInSeconds for monitors.
- Returns
The timeout_in_seconds of this HttpMonitor.
- Return type
int
- property vantage_point_names¶
Gets the vantage_point_names of this HttpMonitor. A list of names of vantage points from which to execute the probe.
- Returns
The vantage_point_names of this HttpMonitor.
- Return type
list[str]